package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF4E9Data {

    private Map<String, Object> params;
    
    public MWF4E9Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsInsurProdInstKey() {
        return (Long) params.get("RS_INSUR_PROD_INST_KEY");
    }

    public String rsInsurAccNum() {
        return (String) params.get("RS_INSUR_ACC_NUM");
    }

    public Long rsInsurInstPtKey() {
        return (Long) params.get("RS_INSUR_INST_PT_KEY");
    }

    public String rsInsurFirstName() {
        return (String) params.get("RS_INSUR_FIRST_NAME");
    }

    public String rsInsurFamilyName() {
        return (String) params.get("RS_INSUR_FAMILY_NAME");
    }

    public String rsInsurBirthNumber() {
        return (String) params.get("RS_INSUR_BIRTH_NUMBER");
    }

    public java.util.Date rsInsurBirthDate() {
        return (java.util.Date) params.get("RS_INSUR_BIRTH_DATE");
    }

    public String rsInsurDiffInstPtFlag() {
        return (String) params.get("RS_INSUR_DIFF_INST_PT_FLAG");
    } 

}
